from django.contrib import admin

from compensation.admin import AbstractCompensationAdmin
from ema.models import Ema


class EmaAdmin(AbstractCompensationAdmin):
    filter_horizontal = [
        "users",
        "teams",
    ]

    def get_fields(self, request, obj=None):
        return super().get_fields(request, obj) + [
            "users",
            "teams",
        ]


admin.site.register(Ema, EmaAdmin)
